v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/label-groups
Retrieves label groups by study ID. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
8ECE2C9D389645B09740DC7926DEFB69
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object Label Group
Title:
Label GroupContains label group detail.
Nested Schema : Label Group
Type:
objectTitle:
Label GroupContains label group detail.
Show Source
-
countries: array
labelGroupGeographies
Title:
labelGroupGeographiesLabel group countries. -
id: string
(uuid)
ID of the label group.
-
name: string
Label group name.Example:
Label1001
Nested Schema : labelGroupGeographies
Type:
arrayTitle:
labelGroupGeographiesLabel group countries.
Show Source
-
Array of:
object Label Group Geography
Title:
Label Group GeographyContains label group country detail.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"name":"United States"
}
]Nested Schema : Label Group Geography
Type:
objectTitle:
Label Group GeographyContains label group country detail.
Show Source
-
id: string
(uuid)
Unique ID for label country.
-
name: string
Label country.Example:
India
Examples
403 Response
The study identifier does not match any study identifiers in Clinical One.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples